<?xml version="1.0" encoding="utf-8"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN"
	  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en" xml:lang="en">
  <head>
    <title></title>
    <!-- 2013-03-18 Mon 19:40 -->
    <meta name="generator" content="Org-mode"/>
    <meta name="author" content="Jambunathan K"/>
    <style type="text/css">
      <!--/*--><![CDATA[/*><!--*/
  .title  { text-align: center; }
  .todo   { font-family: monospace; color: red; }
  .done   { color: green; }
  .tag    { background-color: #eee; font-family: monospace;
            padding: 2px; font-size: 80%; font-weight: normal; }
  .timestamp { color: #bebebe; }
  .timestamp-kwd { color: #5f9ea0; }
  .right  { margin-left: auto; margin-right: 0px;  text-align: right; }
  .left   { margin-left: 0px;  margin-right: auto; text-align: left; }
  .center { margin-left: auto; margin-right: auto; text-align: center; }
  .underline { text-decoration: underline; }
  #postamble p, #preamble p { font-size: 90%; margin: .2em; }
  p.verse { margin-left: 3%; }
  pre {
    border: 1px solid #ccc;
    box-shadow: 3px 3px 3px #eee;
    padding: 8pt;
    font-family: monospace;
    overflow: auto;
    margin: 1.2em;
  }
  pre.src {
    position: relative;
    overflow: visible;
    padding-top: 1.2em;
  }
  pre.src:before {
    display: none;
    position: absolute;
    background-color: white;
    top: -10px;
    right: 10px;
    padding: 3px;
    border: 1px solid black;
  }
  pre.src:hover:before { display: inline;}
  pre.src-sh:before    { content: 'sh'; }
  pre.src-bash:before  { content: 'sh'; }
  pre.src-emacs-lisp:before { content: 'Emacs Lisp'; }
  pre.src-R:before     { content: 'R'; }
  pre.src-perl:before  { content: 'Perl'; }
  pre.src-java:before  { content: 'Java'; }
  pre.src-sql:before   { content: 'SQL'; }

  table { border-collapse:collapse; width : 30%; table-layout: fixed;}
  td, th { vertical-align:top;  }
  th.right  { text-align: center;  }
  th.left   { text-align: center;   }
  th.center { text-align: center; }
  td.right  { text-align: right;  }
  td.left   { text-align: left;   }
  td.center { text-align: center; }
  dt { font-weight: bold; }
  .footpara:nth-child(2) { display: inline; }
  .footpara { display: block; }
  .footdef  { margin-bottom: 1em; }
  .figure { padding: 1em; }
  .figure p { text-align: center; }
  .inlinetask {
    padding: 10px;
    border: 2px solid gray;
    margin: 10px;
    background: #ffffcc;
  }
  #org-div-home-and-up
   { text-align: right; font-size: 70%; white-space: nowrap; }
  textarea { overflow-x: auto; }
  .linenr { font-size: smaller }
  .code-highlighted { background-color: #ffff00; }
  .org-info-js_info-navigation { border-style: none; }
  #org-info-js_console-label
    { font-size: 10px; font-weight: bold; white-space: nowrap; }
  .org-info-js_search-highlight
    { background-color: #ffff00; color: #000000; font-weight: bold; }
  /*]]>*/-->
    </style>
  </head>
  <body>
    <div id="content">
      <h1 class="title"></h1>
      <div id="table-of-contents">
	<h2>Table of Contents</h2>
	<div id="text-table-of-contents">
	  <ul>
	    <li><a href="#sec-1">1. Goals and non-Goals</a></li>
	    <li><a href="#sec-2">2. Audience</a></li>
	    <li><a href="#sec-3">3. Prerequisites</a></li>
	    <li><a href="#sec-4">4. Installing Emacs</a></li>
	    <li><a href="#sec-5">5. Self help</a></li>
	    <li><a href="#sec-6">6. Basic customization</a></li>
	    <li><a href="#sec-7">7. Text editing</a>
	      <ul>
		<li><a href="#sec-7-1">7.1. Statistics</a></li>
		<li><a href="#sec-7-2">7.2. Spellchecking</a></li>
		<li><a href="#sec-7-3">7.3. Dictionary and Thesaurus</a></li>
	      </ul>
	    </li>
	    <li><a href="#sec-8">8. Install additional packages</a></li>
	    <li><a href="#sec-9">9. Games</a></li>
	    <li><a href="#sec-10">10. Reporting bugs</a></li>
	    <li><a href="#sec-11">11. Emacs Community</a></li>
	    <li><a href="#sec-12">12. Contributing to Emacs</a></li>
	    <li><a href="#sec-13">13. Building Emacs from sources</a></li>
	  </ul>
	</div>
      </div>
      <div id="outline-container-1" class="outline-2">
	<h2 id="sec-1"><span class="section-number-2">1</span> Goals and non-Goals</h2>
	<div class="outline-text-2" id="text-1">
	  <p>
	    This book will teach you
	  </p>

	  <ol class="org-ol">
	    <li>To use Emacs.
	    </li>
	    <li>To customize Emacs to your specific needs.
	    </li>
	    <li>Place Emacs in a modern context.
	    </li>
	  </ol>

	  <p>
	    This book will <b>not</b> 
	  </p>

	  <ol class="org-ol">
	    <li>Teach you to program in Emacs lisp
	    </li>
	    <li>Document third-party libraries which don't ship with Emacs or GNU
	      ELPA.
	    </li>
	  </ol>
	</div>
      </div>
      <div id="outline-container-2" class="outline-2">
	<h2 id="sec-2"><span class="section-number-2">2</span> Audience</h2>
	<div class="outline-text-2" id="text-2">
	  <p>
	    If you are new to Emacs then this book is for you.  You don't have to
	    be a programmer to benefit from this book.
	  </p>
	</div>
      </div>
      <div id="outline-container-3" class="outline-2">
	<h2 id="sec-3"><span class="section-number-2">3</span> Prerequisites</h2>
	<div class="outline-text-2" id="text-3">
	  <p>
	    You need to be a touch typist to use Emacs efficiently.
	  </p>
	</div>
      </div>
      <div id="outline-container-4" class="outline-2">
	<h2 id="sec-4"><span class="section-number-2">4</span> Installing Emacs</h2>
	<div class="outline-text-2" id="text-4">
	  <p>
	    The latest stable release of Emacs as on the day of writing is Emacs
	    24.3.
	  </p>

	  <p>
	    You can download the pre-build binaries from <a href="http://ftp.gnu.org/gnu/emacs/">GNU FTP Archives</a>.  If you
	    are on Windows, you can download the binaries from <a href="http://ftp.gnu.org/gnu/emacs/windows/">Windows
	      subdirectory</a>.
	  </p>
	</div>
      </div>
      <div id="outline-container-5" class="outline-2">
	<h2 id="sec-5"><span class="section-number-2">5</span> Self help</h2>
      </div>

      <div id="outline-container-6" class="outline-2">
	<h2 id="sec-6"><span class="section-number-2">6</span> Basic customization</h2>
      </div>

      <div id="outline-container-7" class="outline-2">
	<h2 id="sec-7"><span class="section-number-2">7</span> Text editing</h2>
	<div class="outline-text-2" id="text-7">
	  <p>
	    You can goto specific line with 
	  </p>

	  <table border="2" cellspacing="0" cellpadding="6" rules="groups" frame="hsides">


	    <colgroup>
	      <col class="left"/>

	      <col class="left"/>
	    </colgroup>
	    <thead>
	      <tr>
		<th scope="col" class="left">Action</th>
		<th scope="col" class="left">Keys</th>
	      </tr>
	    </thead>
	    <tbody>
	      <tr>
		<td class="left">Goto a line</td>
		<td class="left">M-g M-g</td>
	      </tr>
	    </tbody>
	  </table>


	  <p>
	    You can move around your buffer very quickly using the following key
	    bindings.
	  </p>

	  <table border="2" cellspacing="0" cellpadding="6" rules="groups" frame="hsides">


	    <colgroup>
	      <col class="left"/>

	      <col class="left"/>
	    </colgroup>
	    <thead>
	      <tr>
		<th scope="col" class="left">Action</th>
		<th scope="col" class="left">Keys</th>
	      </tr>
	    </thead>
	    <tbody>
	      <tr>
		<td class="left">Line beginning</td>
		<td class="left">C-a</td>
	      </tr>

	      <tr>
		<td class="left">Line end</td>
		<td class="left">C-e</td>
	      </tr>
	    </tbody>
	    <tbody>
	      <tr>
		<td class="left">Next line</td>
		<td class="left">C-n</td>
	      </tr>

	      <tr>
		<td class="left">Prev line</td>
		<td class="left">C-p</td>
	      </tr>
	    </tbody>
	    <tbody>
	      <tr>
		<td class="left">Scroll forward</td>
		<td class="left">C-v</td>
	      </tr>

	      <tr>
		<td class="left">Scroll back</td>
		<td class="left">M-v</td>
	      </tr>
	    </tbody>
	  </table>

	  <p>
	    You can move around your buffer very quickly using the following key
	    bindings.
	  </p>

	  <table border="2" cellspacing="0" cellpadding="6" rules="groups" frame="hsides">


	    <colgroup>
	      <col class="left"/>

	      <col class="left"/>
	    </colgroup>
	    <thead>
	      <tr>
		<th scope="col" class="left">Action</th>
		<th scope="col" class="left">Keys</th>
	      </tr>
	    </thead>
	    <tbody>
	      <tr>
		<td class="left">Next word</td>
		<td class="left">M-f</td>
	      </tr>

	      <tr>
		<td class="left">Previous word</td>
		<td class="left">M-b</td>
	      </tr>
	    </tbody>
	    <tbody>
	      <tr>
		<td class="left">Sentence beginning</td>
		<td class="left">M-a</td>
	      </tr>

	      <tr>
		<td class="left">Sentence end</td>
		<td class="left">M-e</td>
	      </tr>
	    </tbody>
	    <tbody>
	      <tr>
		<td class="left">Next paragraph</td>
		<td class="left">M-}</td>
	      </tr>

	      <tr>
		<td class="left">Prev paragraph</td>
		<td class="left">M-{</td>
	      </tr>
	    </tbody>
	    <tbody>
	      <tr>
		<td class="left">Next page</td>
		<td class="left">C-x ]</td>
	      </tr>

	      <tr>
		<td class="left">Prev page</td>
		<td class="left">C-x [</td>
	      </tr>
	    </tbody>
	    <tbody>
	      <tr>
		<td class="left">Buffer beginning</td>
		<td class="left">M-&lt;</td>
	      </tr>

	      <tr>
		<td class="left">Buffer end</td>
		<td class="left">M-&gt;</td>
	      </tr>
	    </tbody>
	  </table>
	</div>

	<div id="outline-container-7-1" class="outline-3">
	  <h3 id="sec-7-1"><span class="section-number-3">7.1</span> Statistics</h3>
	  <div class="outline-text-3" id="text-7-1">
	    <table border="2" cellspacing="0" cellpadding="6" rules="groups" frame="hsides">


	      <colgroup>
		<col class="left"/>

		<col class="left"/>
	      </colgroup>
	      <thead>
		<tr>
		  <th scope="col" class="left">Action</th>
		  <th scope="col" class="left">Keys</th>
		</tr>
	      </thead>
	      <tbody>
		<tr>
		  <td class="left">Counting words</td>
		  <td class="left">M-=</td>
		</tr>
	      </tbody>
	    </table>
	  </div>
	</div>
	<div id="outline-container-7-2" class="outline-3">
	  <h3 id="sec-7-2"><span class="section-number-3">7.2</span> Spellchecking</h3>
	</div>

	<div id="outline-container-7-3" class="outline-3">
	  <h3 id="sec-7-3"><span class="section-number-3">7.3</span> Dictionary and Thesaurus</h3>
	</div>
      </div>
      <div id="outline-container-8" class="outline-2">
	<h2 id="sec-8"><span class="section-number-2">8</span> Install additional packages</h2>
      </div>

      <div id="outline-container-9" class="outline-2">
	<h2 id="sec-9"><span class="section-number-2">9</span> Games</h2>
      </div>

      <div id="outline-container-10" class="outline-2">
	<h2 id="sec-10"><span class="section-number-2">10</span> Reporting bugs</h2>
	<div class="outline-text-2" id="text-10">
	  <p>
	    You can submit a bug report with
	  </p>

	  <pre class="example">
	    M-x report-emacs-bug RET
	  </pre>
	</div>
      </div>
      <div id="outline-container-11" class="outline-2">
	<h2 id="sec-11"><span class="section-number-2">11</span> Emacs Community</h2>
	<div class="outline-text-2" id="text-11">
	  <p>
	    The Emacs project has many <a href="https://savannah.gnu.org/mail/?group=emacs">mailing lists</a>.  
	  </p>

	  <p>
	    You can browse the archives online
	  </p>

	  <ol class="org-ol">
	    <li><a href="http://lists.gnu.org/archive/html/info-gnu-emacs">Emacs news archive</a>
	    </li>
	    <li><a href="http://lists.gnu.org/archive/html/help-gnu-emacs">Emacs users archive</a>
	    </li>
	    <li><a href="http://lists.gnu.org/archive/html/emacs-devel">Emacs developers archive</a>
	    </li>
	    <li><a href="http://lists.gnu.org/archive/html/bug-gnu-emacs">Emacs bugs archive</a>
	    </li>
	    <li><a href="http://lists.gnu.org/archive/html/gnu-emacs-sources">Emacs sources archive</a>
	    </li>
	  </ol>

	  <p>
	    You may wish to subscribe to one or more of these mailing lists.
	  </p>

	  <ol class="org-ol">
	    <li><a href="http://lists.gnu.org/mailman/listinfo/info-gnu-emacs">Emacs news</a>
	    </li>
	    <li><a href="http://lists.gnu.org/mailman/listinfo/help-gnu-emacs">Emacs users</a>
	    </li>
	    <li><a href="http://lists.gnu.org/mailman/listinfo/emacs-devel">Emacs developers</a>
	    </li>
	    <li><a href="http://lists.gnu.org/mailman/listinfo/bug-gnu-emacs">Emacs bugs</a>
	    </li>
	    <li><a href="http://lists.gnu.org/mailman/listinfo/gnu-emacs-sources">Emacs sources</a>
	    </li>
	  </ol>



	  <p>
	    See <a href="http://www.gnu.org/software/emacs/">Emacs project page</a> for more information.
	  </p>

	  <p>
	    <a href="http://www.emacswiki.org/">Emacswiki</a>
	  </p>

	  <p>
	    IRC: #emacs @ irc.freenode.net 
	  </p>
	</div>
      </div>
      <div id="outline-container-12" class="outline-2">
	<h2 id="sec-12"><span class="section-number-2">12</span> Contributing to Emacs</h2>
	<div class="outline-text-2" id="text-12">
	  <p>
	    Emacs sources are maintained using Bazaar version control system.  You
	    can obtain the version controlled source tree with
	  </p>

	  <pre class="example">
	    bzr branch bzr://bzr.savannah.gnu.org/emacs/trunk
	  </pre>

	  <p>
	    You can also browse the source repository for one-off purposes using
	    the following URLs: <a href="http://bzr.savannah.gnu.org/lh/emacs/trunk/files">Bzr Loggerhead</a> or <a href="http://git.savannah.gnu.org/cgit/emacs.git/log/">Cgit web interface</a>.
	  </p>

	  <p>
	    If you are a Git user, you can checkout the source tree using git as
	    follows
	  </p>

	  <pre class="example">
	    git clone git://git.savannah.gnu.org/emacs.git
	  </pre>

	  <p>
	    See <a href="http://savannah.gnu.org/maintenance/UsingGit">for more information on using git</a>.
	  </p>
	</div>
      </div>
      <div id="outline-container-13" class="outline-2">
	<h2 id="sec-13"><span class="section-number-2">13</span> Building Emacs from sources</h2>
	<div class="outline-text-2" id="text-13">
	  <p>
	    If you are a developer or a user who is interested in testing out
	    Emacs trunk see <a href="http://www.emacswiki.org/emacs/BzrForEmacsDevs">instructions at Emacswiki</a>.
	  </p>

	  <pre class="example">
	    apt-get install build-essential
	    apt-get build-dep emacs
	  </pre>
	</div>
      </div>
    </div>
    <div id="postamble" class="status">
      <p class="author">Author: Jambunathan K</p>
      <p class="date">Created: 2013-03-18 Mon 19:40</p>
      <p class="creator">Generated by <a href="http://orgmode.org">Org</a> mode 8.0-pre in <a href="http://www.gnu.org/software/emacs/">Emacs</a> 24.3.50.9.</p>
      <p class="xhtml-validation"><a href="http://validator.w3.org/check?uri=referer">Validate XHTML 1.0</a></p>
    </div>
  </body>
</html>
